Package org.eclipse.lemminx.extensions.references.participants

## Class XMLReferencesLinkedEditingRangesParticipant

- java.lang.Object
- - org.eclipse.lemminx.extensions.references.participants.XMLReferencesLinkedEditingRangesParticipant

All Implemented Interfaces:
  `ILinkedEditingRangesParticipant`

    public class XMLReferencesLinkedEditingRangesParticipant
    extends Object
    implements ILinkedEditingRangesParticipant

XML references linked editing ranges.

Author:
  Angelo ZERR

### Constructor Summary

Constructors
`XMLReferencesLinkedEditingRangesParticipant​(XMLReferencesPlugin plugin)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `findLinkedEditingRanges​(ILinkedEditingRangesRequest request, List<org.eclipse.lsp4j.Range> ranges, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Find linked editing ranges for DOM document and position defined in the given `request`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLReferencesLinkedEditingRangesParticipant

    public XMLReferencesLinkedEditingRangesParticipant​(XMLReferencesPlugin plugin)

### Method Detail

#### findLinkedEditingRanges

    public void findLinkedEditingRanges​(ILinkedEditingRangesRequest request,
                                        List<org.eclipse.lsp4j.Range> ranges,
                                        org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ILinkedEditingRangesParticipant`
Find linked editing ranges for DOM document and position defined in the given `request`.

Specified by:
  `findLinkedEditingRanges` in interface `ILinkedEditingRangesParticipant`
Parameters:
  `request` - the linked editing ranges request.
  `ranges` - the ranges to update.
  `cancelChecker` - the cancel checker.